{ pkgs ? import <nixpkgs> { } }:

let
  inherit (pkgs) callPackage;
  inherit (pkgs.lib) optionalAttrs;

in rec {

  janus-gateway = callPackage ./pkgs/janus-gateway { inherit usrsctp; };

  nextcloud-spreed-signaling = callPackage ./pkgs/nextcloud-spreed-signaling { };

  snipe-it = callPackage ./pkgs/snipe-it { };

  usrsctp = callPackage ./pkgs/usrsctp { };

} // optionalAttrs (pkgs.system == "x86_64-linux") {

  chrysalis = callPackage ./pkgs/chrysalis { };

  ryzenadj = callPackage ./pkgs/ryzenadj { };

  ryzen_smu = callPackage ./pkgs/ryzen_smu { kernel = pkgs.linux; };

}
